Package com.smartgwt.client.util.workflow

# Class ShowNotificationTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.ShowNotificationTask

All Implemented Interfaces:
  `HasHandlers`

public class ShowNotificationTask extends ProcessElement
Show a message which fades out automatically using `Notify`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowNotificationTask()`
  `ShowNotificationTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getAutoDismiss()`
  Auto-dismiss message after a short duration.
  `String`
  `getMessage()`
  Message to display.
  `String`
  `getNotifyType()`
  NotifyType for message.
  `static ShowNotificationTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPosition()`
  Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center.
  `UserSummary`
  `getTextFormula()`
  Formula to be used to calculate the message contents.
  `ShowNotificationTask`
  `setAutoDismiss(Boolean autoDismiss)`
  Auto-dismiss message after a short duration.
  `ShowNotificationTask`
  `setMessage(String message)`
  Message to display.
  `ShowNotificationTask`
  `setNotifyType(String notifyType)`
  NotifyType for message.
  `ShowNotificationTask`
  `setPosition(String position)`
  Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center.
  `ShowNotificationTask`
  `setTextFormula(UserSummary textFormula)`
  Formula to be used to calculate the message contents.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowNotificationTask

    public ShowNotificationTask()

  - ### ShowNotificationTask

    public ShowNotificationTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ShowNotificationTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ProcessElement`

  - ### setAutoDismiss

    public ShowNotificationTask setAutoDismiss(Boolean autoDismiss) throws IllegalStateException
    Auto-dismiss message after a short duration.
    Parameters:
      `autoDismiss` - New autoDismiss value. Default value is true
    Returns:
      `ShowNotificationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getAutoDismiss

    public Boolean getAutoDismiss()
    Auto-dismiss message after a short duration.
    Returns:
      Current autoDismiss value. Default value is true

  - ### setMessage

    public ShowNotificationTask setMessage(String message) throws IllegalStateException
    Message to display. To display a dynamic message see `textFormula`.
    Parameters:
      `message` - New message value. Default value is null
    Returns:
      `ShowNotificationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getMessage

    public String getMessage()
    Message to display. To display a dynamic message see `textFormula`.
    Returns:
      Current message value. Default value is null

  - ### setNotifyType

    public ShowNotificationTask setNotifyType(String notifyType) throws IllegalStateException
    NotifyType for message.
    Parameters:
      `notifyType` - New notifyType value. Default value is "message"
    Returns:
      `ShowNotificationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `NotifyType`

  - ### getNotifyType

    public String getNotifyType()
    NotifyType for message.
    Returns:
      Current notifyType value. Default value is "message"
    See Also:
      - `NotifyType`

  - ### setPosition

    public ShowNotificationTask setPosition(String position) throws IllegalStateException
    Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center. The message will be shown at the center of the edge specified (or the very center for "C").
    Parameters:
      `position` - New position value. Default value is "T"
    Returns:
      `ShowNotificationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getPosition

    public String getPosition()
    Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center. The message will be shown at the center of the edge specified (or the very center for "C").
    Returns:
      Current position value. Default value is "T"

  - ### setTextFormula

    public ShowNotificationTask setTextFormula(UserSummary textFormula) throws IllegalStateException
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Parameters:
      `textFormula` - New textFormula value. Default value is null
    Returns:
      `ShowNotificationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTextFormula

    public UserSummary getTextFormula()
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Returns:
      Current textFormula value. Default value is null